Bug 178583 - science/avogadro: Fix build with amd64
science/avogadro: Fix build with amd64
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 19:10 UTC by tkato432
Modified: 2013-05-15 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.89 KB, patch)
2013-05-13 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-13 18:55:38 UTC
>Number:         178583
>Category:       ports
>Synopsis:       science/avogadro: Fix build with amd64
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 18:10:04 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     KATO Tsuguru
>Release:        FreeBSD 7.4-RELEASE-p11 i386
>Organization:
>Environment:
>Description:
- Fix build with amd64

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/science/avogadro/files/patch-libavogadro__src__extensions__crystallorgraphy__spglib__CMakeLists.txt science/avogadro/files/patch-libavogadro__src__extensions__crystallorgraphy__spglib__CMakeLists.txt
--- /usr/ports/science/avogadro/files/patch-libavogadro__src__extensions__crystallorgraphy__spglib__CMakeLists.txt	1970-01-01 09:00:00.000000000 +0900
+++ science/avogadro/files/patch-libavogadro__src__extensions__crystallorgraphy__spglib__CMakeLists.txt	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,10 @@
+--- libavogadro/src/extensions/crystallography/spglib/CMakeLists.txt.orig
++++ libavogadro/src/extensions/crystallography/spglib/CMakeLists.txt
+@@ -20,6 +20,6 @@
+ set_target_properties(spglib PROPERTIES COMPILE_FLAGS "-w")
+ 
+ # Set -fPIC on x86_64
+-if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
++if(NOT "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i386")
+   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC"  )
+ endif()
diff -urN /usr/ports/science/avogadro/files/patch-libavogadro__src__extensions__swcntbuilder__tubegen__CMakeLists.txt science/avogadro/files/patch-libavogadro__src__extensions__swcntbuilder__tubegen__CMakeLists.txt
--- /usr/ports/science/avogadro/files/patch-libavogadro__src__extensions__swcntbuilder__tubegen__CMakeLists.txt	1970-01-01 09:00:00.000000000 +0900
+++ science/avogadro/files/patch-libavogadro__src__extensions__swcntbuilder__tubegen__CMakeLists.txt	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- libavogadro/src/extensions/swcntbuilder/tubegen/CMakeLists.txt.orig
++++ libavogadro/src/extensions/swcntbuilder/tubegen/CMakeLists.txt
+@@ -19,7 +19,7 @@
+ set_target_properties(tubegen PROPERTIES COMPILE_FLAGS "-w")
+ 
+ # Set -fPIC on x86_64
+-if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
++if(NOT "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i386")
+   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC"  )
+   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC"  )
+ endif()
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 tkato432 2013-05-13 19:10:04 UTC
- Fix build with amd64
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 19:11:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2013-05-15 02:24:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter freebsd_committer 2013-05-15 02:24:32 UTC
Author: miwi
Date: Wed May 15 01:24:16 2013
New Revision: 318213
URL: http://svnweb.freebsd.org/changeset/ports/318213

Log:
  - Fix build with amd64
  
  PR:		178583
  Submitted by:	Ports Fury

Added:
  head/science/avogadro/files/patch-libavogadro__src__extensions__crystallorgraphy__spglib__CMakeLists.txt   (contents, props changed)
  head/science/avogadro/files/patch-libavogadro__src__extensions__swcntbuilder__tubegen__CMakeLists.txt   (contents, props changed)

Added: head/science/avogadro/files/patch-libavogadro__src__extensions__crystallorgraphy__spglib__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/avogadro/files/patch-libavogadro__src__extensions__crystallorgraphy__spglib__CMakeLists.txt	Wed May 15 01:24:16 2013	(r318213)
@@ -0,0 +1,10 @@
+--- libavogadro/src/extensions/crystallography/spglib/CMakeLists.txt.orig
++++ libavogadro/src/extensions/crystallography/spglib/CMakeLists.txt
+@@ -20,6 +20,6 @@
+ set_target_properties(spglib PROPERTIES COMPILE_FLAGS "-w")
+ 
+ # Set -fPIC on x86_64
+-if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
++if(NOT "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i386")
+   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC"  )
+ endif()

Added: head/science/avogadro/files/patch-libavogadro__src__extensions__swcntbuilder__tubegen__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/avogadro/files/patch-libavogadro__src__extensions__swcntbuilder__tubegen__CMakeLists.txt	Wed May 15 01:24:16 2013	(r318213)
@@ -0,0 +1,11 @@
+--- libavogadro/src/extensions/swcntbuilder/tubegen/CMakeLists.txt.orig
++++ libavogadro/src/extensions/swcntbuilder/tubegen/CMakeLists.txt
+@@ -19,7 +19,7 @@
+ set_target_properties(tubegen PROPERTIES COMPILE_FLAGS "-w")
+ 
+ # Set -fPIC on x86_64
+-if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
++if(NOT "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i386")
+   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC"  )
+   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC"  )
+ endif()
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"